<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: /home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/sdioemb/sdio_cis.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/sdioemb/sdio_cis.h</h1><div class="fragment"><pre>00001 <span class="comment">/*</span>
00002 <span class="comment"> * SDIO CIS definitions.</span>
00003 <span class="comment"> *</span>
00004 <span class="comment"> * Copyright (C) 2007 Cambridge Silicon Radio Ltd.</span>
00005 <span class="comment"> *</span>
00006 <span class="comment"> * Refer to LICENSE.txt included with this source code for details on</span>
00007 <span class="comment"> * the license terms.</span>
00008 <span class="comment"> */</span>
00009 <span class="preprocessor">#ifndef _SDIO_CIS_H</span>
00010 <span class="preprocessor"></span><span class="preprocessor">#define _SDIO_CIS_H</span>
00011 <span class="preprocessor"></span>
00012 <span class="preprocessor">#define CISTPL_NULL     0x00</span>
00013 <span class="preprocessor"></span><span class="preprocessor">#define CISTPL_CHECKSUM 0x10</span>
00014 <span class="preprocessor"></span><span class="preprocessor">#define CISTPL_VERS_1   0x15</span>
00015 <span class="preprocessor"></span><span class="preprocessor">#define CISTPL_ALTSTR   0x16</span>
00016 <span class="preprocessor"></span><span class="preprocessor">#define CISTPL_MANFID   0x20</span>
00017 <span class="preprocessor"></span><span class="preprocessor">#  define CISTPL_MANFID_SIZE 0x04</span>
00018 <span class="preprocessor"></span><span class="preprocessor">#define CISTPL_FUNCID   0x21</span>
00019 <span class="preprocessor"></span><span class="preprocessor">#define CISTPL_FUNCE    0x22</span>
00020 <span class="preprocessor"></span><span class="preprocessor">#define CISTPL_SDIO_STD 0x91</span>
00021 <span class="preprocessor"></span><span class="preprocessor">#define CISTPL_SDIO_EXT 0x92</span>
00022 <span class="preprocessor"></span><span class="preprocessor">#define CISTPL_END      0xff</span>
00023 <span class="preprocessor"></span><span class="preprocessor">#define CISTPL_FUNCE  0x22</span>
00024 <span class="preprocessor"></span><span class="preprocessor">#  define CISTPL_FUNCE_00_SIZE 0x04</span>
00025 <span class="preprocessor"></span><span class="preprocessor">#  define CISTPL_FUNCE_01_SIZE 0x2a</span>
00026 <span class="preprocessor"></span>
00027 <span class="preprocessor">#endif </span><span class="comment">/* #ifndef _SDIO_CIS_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
